HEAD(1)

NOM
head - Afficher le début des fichiers

SYNOPSIS
head [OPTION]... [FICHIER]...

DESCRIPTION

Afficher les 10 premières lignes de chaque FICHIER sur la sortie standard. Avec plus d'un FICHIER, faire précéder chacun d'un en-tête donnant le nom du fichier.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-c, --bytes=[-]N
    afficher les N premiers octets de chaque fichier ; avec le préfixe « - », afficher tous les octets sauf les N derniers octets de chaque fichier

-n, --lines=[-]N
    afficher les N premières lignes au lieu des 10 premières ; avec le préfixe « - », afficher toutes les lignes sauf les N dernières lignes de chaque fichier

-q, --quiet, --silent
    ne pas afficher les en-têtes donnant le nom des fichiers

-v, --verbose
    toujours afficher les en-têtes donnant le nom des fichiers

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

N peut être suivi d'un suffixe multiplicatif : b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024 et ainsi de suite pour T, P, E, Z, Y. Des préfixes binaires peuvent aussi être utilisés : KiB=K, MiB=M et ainsi de suite.

AUTEUR
Écrit par David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
tail(1)

Documentation complète : <https://www.gnu.org/software/coreutils/head>
aussi disponible localement à l’aide de la commande : info '(coreutils) head invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Franck Bassi <fblinux@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.